# Poco

# template < class TKey, class TValue, class TMutex = FastMutex, class TEventMutex = FastMutex >

# class LRUCache

Library: Foundation
Package: Cache
Header: Poco/LRUCache.h

## Description

An LRUCache implements Least Recently Used caching. The default size for a cache is 1024 entries.

## Inheritance

Direct Base Classes: AbstractCache < TKey, TValue, LRUStrategy < TKey, TValue >, TMutex, TEventMutex >

All Base Classes: AbstractCache < TKey, TValue, LRUStrategy < TKey, TValue >, TMutex, TEventMutex >

## Constructors

### LRUCache

LRUCache(
std::size_t size = 1024
);

## Destructor

### ~LRUCache

~LRUCache();